const UpdaterEventos = require('../model/UpdaterEventos');
const UpdaterEventosCx = require('../model/UpdaterEventosCx');

class UpdaterEvents {
  getModelByParams(params) {
    return (params.CDCAIXA || params.P_CDCAIXA) ? UpdaterEventosCx : UpdaterEventos;
  }

  insert(params, executionParams = {}) {
    const model = this.getModelByParams(params);
    return model.insert(params, executionParams);
  }

  deleteProductEvents(params, executionParams = {}) {
    const model = this.getModelByParams(params);
    return model.deleteProductEvents(params, executionParams);
  }

  updateEventStatus(params, executionParams = {}) {
    const model = this.getModelByParams(params);
    return model.updateEventStatus(params, executionParams);
  }

  cancelEvent(params, executionParams = {}) {
    const model = this.getModelByParams(params);
    return model.cancelEvent(params, executionParams);
  }

  getProductEvents(params) {
    const model = this.getModelByParams(params);
    return model.getProductEvents(params);
  }

  getActiveEvents(params) {
    const model = this.getModelByParams(params);
    return model.getActiveEvents(params);
  }

  getEventsInProgress(params) {
    const model = this.getModelByParams(params);
    return model.getEventsInProgress(params);
  }

  getPendingEvents(params) {
    const model = this.getModelByParams(params);
    return model.getPendingEvents(params);
  }

}

module.exports = new UpdaterEvents();