const TemplateHandler = require('../TemplateHandler');
const Emojis = require('../Emojis');

class UpdateSystemNotification extends TemplateHandler {}

const {
  DESKTOP_MONITOR,
  NETWORK,
  THUMBTACK,
  SPANNER,
  SUITCASE,
  COMPANY,
  TICKET,
  LOUDSPEAKER,
  CALENDAR,
  PROFILE,
} = Emojis;

const template = 
`${LOUDSPEAKER} **Notificação de Telemetria de Sistema** ${DESKTOP_MONITOR}

${PROFILE} **Usuário:** {{user}}
${NETWORK} **IP:** {{ip}}
${CALENDAR} **Data e Hora:** {{date}}

${THUMBTACK} **Ação:** {{action}} de Sistema
{{upgradeInfo}}
${SPANNER} **Sistema:** {{product}}
${SUITCASE} **ID do Sistema:** {{productId}}

${COMPANY} **Número da Organização:** {{orgId}}
${TICKET} **Filiais:** {{unitId}}
`;

module.exports = new UpdateSystemNotification(template);