const express = require('express');

const app = express();

const AppMiddleware = require('../middleware/App');
const RouteManager = require('./RouteManager');
const FrontendMiddleware = require('../middleware/Frontend');

AppMiddleware.register(app);
RouteManager.register(app);
FrontendMiddleware.register(app);

module.exports = app;