const UpdaterProdConfigCx = require("../model/UpdaterProdConfigCx");
const UpdaterProdConfigFili = require("../model/UpdaterProdConfigFili");

class UpdaterProductConfig {
  getModelByParams(params) {
    return params.CDCAIXA || params.P_CDCAIXA ? UpdaterProdConfigCx : UpdaterProdConfigFili;
  }

  insert(params, executionParams = {}) {
    const model = this.getModelByParams(params);
    return model.insert(params, executionParams);
  }

  update(params, executionParams = {}) {
    const model = this.getModelByParams(params);
    return model.update(params, executionParams);
  }

  getProductConfig(params) {
    const model = this.getModelByParams(params);
    return model.getProductConfig(params);
  }

  getLatestProdConfig(params) {
    const model = this.getModelByParams(params);
    return model.getLatestProdConfig(params);
  }
}

module.exports = new UpdaterProductConfig();